Bug 7096 - Receiving suggested items does not trigger notification mail (AVAILABLE)
Summary: Receiving suggested items does not trigger notification mail (AVAILABLE)
Status: CLOSED WORKSFORME
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 4211 6814
  Show dependency treegraph
 
Reported: 2011-10-26 15:28 UTC by Katrin Fischer
Modified: 2014-12-07 20:03 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-10-26 15:28:15 UTC
Koha has a notice template for notifications to be sent out to the patron once a suggestion gets available (AVAILABLE). This seems to be broken.

What I did:

1) Created suggestion in OPAC
2) Accepted suggestion in Staff
3) Ordered suggestion in acquisitions 
4) Closed baskert
5) Received suggestion
> no mail was generated

This bug might be a side effect from other suggestion bugs. 

Perhaps: BUG 6893 - suggestions are not longer removed from the list of accepted suggestions after ordering. It seems the status change is broken?
Comment 1 mathieu saby 2013-10-13 09:20:44 UTC
It is fixed in our library (runing 3.11.something).

Mathieu
Comment 2 Katrin Fischer 2013-10-20 18:17:29 UTC
Mathieu, could you do a test and verify it's working/broken on master?
Comment 3 mathieu saby 2013-10-20 18:24:23 UTC
Sorry, I cannot for the moment because I never configured a mail server in my VM.
But I HOPE that in our production server, when a document arrives, the patron receive a mail. I will check that.

Mathieu
Comment 4 Katrin Fischer 2014-02-21 12:15:05 UTC
Retesting all the suggestion messages today and emails are sent correctly - including the AVAILABLE when the item is received.